BEEM - Android XMPP - Bug #311

I need force old 5223 ssl support
10/29/2010 05:21 AM - Anonymous
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Affected version: 0.1.x Locale:

Description

Hi, our company use xmpp, but the server need to use force old 5223 ssl, so | cannot connect to the server use beem, thanks

Related issues:
Related to Support #312: SSL error: unknown protocol for 0.1.4 Closed 11/10/2010

History

#1 - 12/07/2010 10:46 PM - Nikita Kozlov

Here is a patch that enable the feature : http:/issues.igniterealtime.org/browse/SMACK-274

#2 - 12/08/2010 07:41 PM - Nikita Kozlov
- File Beem-debug.apk added
- File asmack-android-7-beem.jar added

- File 51-smack_ssl_legacy.patch added

| have rewrited the patch to make it "asmack compliant” and fixed a small bug on it.
Unfortunately | have tested only if there were no regression in the tls part.

So if someone could test it with a xmpp server having legacy ssl enabled, it will save me the time of installing this kind of server myself (if not, | will try
to find some time to test the legacy ssl part too) :)

I'm adding, the rewrited patch, a patched asmack lib, and an apk build in debug mode.

PS: | doubt the legacy ssl code will work out of the box, | think it need some more hacking on it.

#3 - 03/11/2011 10:00 AM - David Jensen

I'm in need of this too and I'd like to help debugging.
We use a zimbra server at work wich requires legacy ssl, | tried you're patched apk above and it failed for me.
What can | do to help you debug? logs?

#4 - 08/08/2011 10:43 PM - Rob Isakson

Nikita Kozlov | can verify that the APK you posted works properly. However, | don't see the code to add the preference setting to the android code, |
only see the patch to the asmack library. Can you post the changes you made to the layouts?

#5 - 08/12/2011 09:34 PM - Rob Isakson

I've also encountered an issue where enabling SSL will crash on devices running android <=2.2. Works great on Gingerbread (2.3) but creashes with
a "java.security.NoSuchAlgorithmException: SSLContext SSL implementation not found" error (Full Stackirace). The posts | have looked at say its
caused by the cert bring self signed. I've set "mConnectionConfiguration.setSelfSignedCertificateEnabled(true);" in the BeamService.java, however, it
still errors out.

#6 - 08/14/2011 09:44 PM - Johannes Michler

This is great. Just tried this with our Oracle Collaboration Suite XMPP Server (that is just doing SSL over the XMPP protocol). Your apk is working
fine. Can we get this into trunk? (Using Cyanogenmod 7.1-nightly (gingerbread).

Thanks a lot for this patch, this makes beem the only xmpp client working with Oracle Collaboration Suite in SSL-Mode!!

Regarding SSL: For us we're having a free xmpp-certificate by startssl.com, this is working fine. But | think it would be a good idea to allow self-signed
certificates. But for now this is better than everything else on android :-)
http://issues.igniterealtime.org/browse/SMACK-274
http://176.31.245.170:3000/users/4
http://pastebin.com/HNAic781%5D
http://beem-project.com/projects/beem/repository/changes/src/com/beem/project/beem/BeemService.java

#7 - 10/08/2012 11:41 PM - Frédéric Barthéléry

- Status changed from New to Rejected

Patch is available if you really need it. But it is better to upgrade server (or change for an implementation up to date with the standard if you can)

Files

Beem-debug.apk 736 KB 12/08/2010 Nikita Kozlov
asmack-android-7-beem.jar 1.03 MB 12/08/2010 Nikita Kozlov
51-smack_ssl_legacy.patch 6.37 KB 12/08/2010 Nikita Kozlov

04/29/2025 22


http://www.tcpdf.org

